org.mozilla.javascript

## Class ClassDefinitionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.mozilla.javascript.ClassDefinitionException

- All Implemented Interfaces:
    java.io.Serializable

  Deprecated.
  The exception is no longer thrown by Rhino runtime as `EvaluatorException` is used instead.

      public class ClassDefinitionException
      extends java.lang.RuntimeException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassDefinitionException(java.lang.String detail)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassDefinitionException

          public ClassDefinitionException(java.lang.String detail)

      Deprecated.